Bug 61102 - kernel BUG at slab.c:1099!
kernel BUG at slab.c:1099!
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Chemla
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-13 11:56 EST by Patrick Chemla
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 15:46:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Chemla 2002-03-13 11:56:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Win 9x 4.90)

Description of problem:
I'm getting this message each time I reboot since I have run up2date last night.
ar 13 08:42:41 ml350 kernel: ------------[ cut here ]------------
Mar 13 08:42:41 ml350 kernel: kernel BUG at slab.c:1099!
Mar 13 08:42:41 ml350 kernel: invalid operand: 0000
Mar 13 08:42:41 ml350 kernel: Kernel 2.4.9-31smp
Mar 13 08:42:41 ml350 kernel: CPU:    1
Mar 13 08:42:41 ml350 kernel: EIP:    0010:[kmem_cache_grow+38/608]    Tainted: 
PF
Mar 13 08:42:41 ml350 kernel: EIP:    0010:[<c01330f6>]    Tainted: PF
Mar 13 08:42:41 ml350 kernel: EFLAGS: 00010296
Mar 13 08:42:41 ml350 kernel: EIP is at kmem_cache_grow [kernel] 0x26 
Mar 13 08:42:41 ml350 kernel: eax: 0000001b   ebx: c1c888f4   ecx: c02db9e4   
edx: 000037f7
Mar 13 08:42:41 ml350 kernel: esi: c1c888f4   edi: 00000007   ebp: d576e000   
esp: d576fe3c
Mar 13 08:42:41 ml350 kernel: ds: 0018   es: 0018   ss: 0018
Mar 13 08:42:41 ml350 kernel: Process insmod (pid: 19683, stackpage=d576f000)
Mar 13 08:42:42 ml350 kernel: Stack: c024f253 0000044b c02ddd44 00000000 
000000d2 c0136d5c 00000001 000000d2 
Mar 13 08:42:42 ml350 kernel:        c1c888fc c1c888f4 c1c888f4 00000202 
d576e000 c0133788 c1c888f4 00000007 
Mar 13 08:42:42 ml350 kernel:        c012abc7 d6eb92e0 c012abd4 c1000010 
e099e000 00000000 00000000 d576feb8 
Mar 13 08:42:42 ml350 kernel: Call Trace: 
[call_spurious_interrupt+130654/156203] .rodata.str1.1 [kernel] 0x2a8e 
Mar 13 08:42:42 ml350 kernel: Call Trace: [<c024f253>] .rodata.str1.1 [kernel] 
0x2a8e 
Mar 13 08:42:42 ml350 kernel: [_wrapped_alloc_pages+108/624] 
_wrapped_alloc_pages [kernel] 0x6c 
Mar 13 08:42:42 ml350 kernel: [<c0136d5c>] _wrapped_alloc_pages [kernel] 0x6c 
Mar 13 08:42:42 ml350 kernel: [kmalloc+312/352] kmalloc [kernel] 0x138 
Mar 13 08:42:42 ml350 kernel: [<c0133788>] kmalloc [kernel] 0x138 
Mar 13 08:42:42 ml350 kernel: [do_wp_page+823/880] do_wp_page [kernel] 0x337 
Mar 13 08:42:42 ml350 kernel: [<c012abc7>] do_wp_page [kernel] 0x337 
Mar 13 08:42:42 ml350 kernel: [do_wp_page+836/880] do_wp_page [kernel] 0x344 
Mar 13 08:42:42 ml350 kernel: [<c012abd4>] do_wp_page [kernel] 0x344 
Mar 13 08:42:42 ml350 kernel: [<e099f84c>] cromMalloc [cpqrom] 0x10 
Mar 13 08:42:42 ml350 kernel: [handle_mm_fault+164/224] handle_mm_fault 
[kernel] 0xa4 
Mar 13 08:42:42 ml350 kernel: [<c012b3d4>] handle_mm_fault [kernel] 0xa4 
Mar 13 08:42:42 ml350 kernel: [<e09a0e5d>] init_crommemory [cpqrom] 0x1d 
Mar 13 08:42:42 ml350 kernel: [<e099fa2d>] crominit [cpqrom] 0x15 
Mar 13 08:42:42 ml350 kernel: [<e09a0f87>] CromUnLock [cpqrom] 0x1f 
Mar 13 08:42:42 ml350 kernel: [sys_init_module+1365/1616] sys_init_module 
[kernel] 0x555 
Mar 13 08:42:42 ml350 kernel: [<c011c885>] sys_init_module [kernel] 0x555 
Mar 13 08:42:42 ml350 kernel: [<e099e060>] __insmod_cpqrom_S.text_L14488 
[cpqrom] 0x0 
Mar 13 08:42:42 ml350 kernel: [system_call+51/56] system_call [kernel] 0x33 
Mar 13 08:42:42 ml350 kernel: [<c010719b>] system_call [kernel] 0x33 
Mar 13 08:42:42 ml350 kernel: 
Mar 13 08:42:42 ml350 kernel: 
Mar 13 08:42:42 ml350 kernel: Code: 0f 0b 58 5a f7 c7 00 10 00 00 0f 85 1f 02 
00 00 b8 00 e0 ff 
Mar 13 08:42:45 ml350 kernel:  ------------[ cut here ]------------
Mar 13 08:42:45 ml350 kernel: kernel BUG at slab.c:1099!
Mar 13 08:42:45 ml350 kernel: invalid operand: 0000
Mar 13 08:42:45 ml350 kernel: Kernel 2.4.9-31smp
Mar 13 08:42:45 ml350 kernel: CPU:    0
Mar 13 08:42:45 ml350 kernel: EIP:    0010:[kmem_cache_grow+38/608]    Tainted: 
PF
Mar 13 08:42:45 ml350 kernel: EIP:    0010:[<c01330f6>]    Tainted: PF
Mar 13 08:42:45 ml350 kernel: EFLAGS: 00010296
Mar 13 08:42:45 ml350 kernel: EIP is at kmem_cache_grow [kernel] 0x26 
Mar 13 08:42:45 ml350 kernel: eax: 0000001b   ebx: c1c888f4   ecx: c02db9e4   
edx: 00003d63
Mar 13 08:42:45 ml350 kernel: esi: c1c888f4   edi: 00000007   ebp: d576e000   
esp: d576fd6c
Mar 13 08:42:45 ml350 kernel: ds: 0018   es: 0018   ss: 0018
Mar 13 08:42:45 ml350 kernel: Process insmod (pid: 20215, stackpage=d576f000)
Mar 13 08:42:45 ml350 kernel: Stack: c024f253 0000044b d6ffbd20 d6d3f6e0 
d53482f0 00000000 00000003 d576fdc8 
Mar 13 08:42:45 ml350 kernel:        c1c888fc c1c888f4 c1c888f4 00000202 
d576e000 c0133788 c1c888f4 00000007 
Mar 13 08:42:45 ml350 kernel:        4e4d4c4b 5251504f 56555453 5a595857 
00000008 e0a3616b d576fe7c d576fde8 
Mar 13 08:42:45 ml350 kernel: Call Trace: 
[call_spurious_interrupt+130654/156203] .rodata.str1.1 [kernel] 0x2a8e 
Mar 13 08:42:45 ml350 kernel: Call Trace: [<c024f253>] .rodata.str1.1 [kernel] 
0x2a8e 
Mar 13 08:42:45 ml350 kernel: [kmalloc+312/352] kmalloc [kernel] 0x138 
Mar 13 08:42:45 ml350 kernel: [<c0133788>] kmalloc [kernel] 0x138 
Mar 13 08:42:45 ml350 kernel: [<e0a3616b>] callCridLog [cpqhealth] 0x47 
Mar 13 08:42:45 ml350 kernel: [<e099f84c>] cromMalloc [cpqrom] 0x10 
Mar 13 08:42:45 ml350 kernel: [<e09a0e5d>] init_crommemory [cpqrom] 0x1d 
Mar 13 08:42:45 ml350 kernel: [get_new_inode+131/416] get_new_inode [kernel] 
0x83 
Mar 13 08:42:45 ml350 kernel: [<c0153933>] get_new_inode [kernel] 0x83 
Mar 13 08:42:45 ml350 kernel: [iget4+233/256] iget4 [kernel] 0xe9 
Mar 13 08:42:45 ml350 kernel: [<c0153c69>] iget4 [kernel] 0xe9 
Mar 13 08:42:45 ml350 kernel: [<e09c2412>] __insmod_cpqhealth_S.text_L355968 
[cpqhealth] 0x23b2 
Mar 13 08:42:45 ml350 kernel: [do_wp_page+823/880] do_wp_page [kernel] 0x337 
Mar 13 08:42:46 ml350 kernel: [<c012abc7>] do_wp_page [kernel] 0x337 
Mar 13 08:42:46 ml350 kernel: [<e0a3eea0>] __insmod_cpqhealth_S.bss_L195084 
[cpqhealth] 0x6c80 
Mar 13 08:42:46 ml350 kernel: [<e09c2341>] __insmod_cpqhealth_S.text_L355968 
[cpqhealth] 0x22e1 
Mar 13 08:42:46 ml350 kernel: [sys_init_module+1365/1616] sys_init_module 
[kernel] 0x555 
Mar 13 08:42:46 ml350 kernel: [<c011c885>] sys_init_module [kernel] 0x555 
Mar 13 08:42:46 ml350 kernel: [<e0a35e98>] __insmod_cpqhealth_S.rodata_L124896 
[cpqhealth] 0x1ead8 
Mar 13 08:42:46 ml350 kernel: [<e09c0060>] __insmod_cpqhealth_S.text_L355968 
[cpqhealth] 0x0 
Mar 13 08:42:46 ml350 kernel: [system_call+51/56] system_call [kernel] 0x33 
Mar 13 08:42:46 ml350 kernel: [<c010719b>] system_call [kernel] 0x33 
Mar 13 08:42:46 ml350 kernel: 
Mar 13 08:42:46 ml350 kernel: 
Mar 13 08:42:46 ml350 kernel: Code: 0f 0b 58 5a f7 c7 00 10 00 00 0f 85 1f 02 
00 00 b8 00 e0 ff 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Just reboot my ML350 Proliant SMP server
2.
3.
	

Actual Results:  Systems seems to run OK, but cpqhealth (any version) gives 
Segmentation error at module load time.

Expected Results:  no error message, and cpqhealth OK

Additional info:

I have run up2date as RedHat support asked to do, as I was complaining on a 
SCSI tape drive problem that still occurs after up2date
Comment 1 Elliot Lee 2004-08-23 15:46:51 EDT
Closing an old bug.

Note You need to log in before you can comment on or make changes to this bug.